## python-oslo.versionedobjects 1.31.2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
six>=1.10.0 # MIT
oslo.concurrency>=3.20.0 # Apache-2.0
oslo.config>=5.1.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
iso8601>=0.1.11 # MIT
oslo.log>=3.30.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
WebOb>=1.7.1 # MIT
netaddr>=0.7.18 # BSD

=== debian/changelog ===
python-oslo.versionedobjects (1.31.2-0ubuntu3.1) bionic; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/queens branch.
  * d/tests/*: Add autopkgtests for module import and unit test execution.
    Also drop autopkgtest-pkg-python testsuite as generated import tests
    are not correct for this package (LP: #1912792).

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 26 Apr 2018 13:13:17 -0400

python-oslo.versionedobjects (1.31.2-0ubuntu3) bionic; urgency=medium

  * d/p/dont-force-unicode-strings-for-UUID-coercion.patch:
    This reverts and changes the fix provided by
    d/p/Fixing-uuid-coerce-function-for-unicode-non-uuid-form.patch
    (LP: #1763179).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 17 Apr 2018 08:33:51 -0400

python-oslo.versionedobjects (1.31.2-0ubuntu2) bionic; urgency=medium

  * Fixing UUID coerce function for unicode non uuid form id (LP: #1760918)
    - d/p/Fixing-uuid-coerce-function-for-unicode-non-uuid-form.patch

 -- Seyeong Kim <seyeong.kim@canonical.com>  Sun, 08 Apr 2018 18:05:44 -0700

python-oslo.versionedobjects (1.31.2-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Switch to using python3-sphinx.
  * d/p/*: Drop, no longer needed.

 -- James Page <james.page@ubuntu.com>  Mon, 12 Feb 2018 13:04:20 +0000

python-oslo.versionedobjects (1.31.1-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 26 Jan 2018 10:49:23 +0000

python-oslo.versionedobjects (1.30.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Bumped Standards-Version to 4.1.2.

 -- James Page <james.page@ubuntu.com>  Fri, 08 Dec 2017 11:24:05 +0000

python-oslo.versionedobjects (1.29.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Mon, 13 Nov 2017 17:29:44 +0000

=== debian/control ===
Source: python-oslo.versionedobjects
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.5.1),
Build-Depends-Indep:
 python-coverage,
 python-fixtures,
 python-hacking,
 python-iso8601,
 python-jsonschema (>= 2.6.0),
 python-netaddr (>= 0.7.18),
 python-openstackdocstheme (>= 1.17.0),
 python-oslo.concurrency (>= 3.20.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 2.19.2),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.30.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1.10.0),
 python-six (>= 1.10.0),
 python-testtools (>= 2.2.0),
 python-webob (>= 1.7.1),
 python3-fixtures,
 python3-iso8601,
 python3-jsonschema (>= 2.6.0),
 python3-netaddr (>= 0.7.18),
 python3-openstackdocstheme (>= 1.17.0),
 python3-oslo.concurrency (>= 3.20.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.context (>= 2.19.2),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.30.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1.10.0),
 python3-six (>= 1.10.0),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1.7.1),
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.versionedobjects
Vcs-Git: git://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.versionedobjects
Homepage: https://github.com/openstack/oslo.versionedobjects

Package: python-oslo-versionedobjects
Section: oldlibs
Priority: extra
Architecture: all
Depends:
 python-oslo.versionedobjects,
 ${misc:Depends},
Description: transitional dummy package for python-oslo-versionedobjects
 This transitional package to python-oslo.versionedobjects is safe to remove.

Package: python-oslo-versionedobjects-doc
Section: oldlibs
Priority: extra
Architecture: all
Depends:
 python-oslo.versionedobjects-doc,
 ${misc:Depends},
Description: transitional dummy package for python-oslo-versionedobjects-doc
 This transitional package to python-oslo.versionedobjects-doc is safe to
 remove.

Package: python-oslo.versionedobjects
Architecture: all
Depends:
 python-fixtures,
 python-iso8601,
 python-oslo.concurrency (>= 3.20.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 2.19.2),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.30.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-six (>= 1.10.0),
 python-webob (>= 1.7.1),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-oslo.versionedobjects-doc,
Breaks:
 python-oslo-versionedobjects (<< 0.3.0-1~),
Replaces:
 python-oslo-versionedobjects (<< 0.3.0-1~),
Description: deals with DB schema versions and code expectations - Python 2.x
 oslo.versionedobjects library deals with DB schema being at different versions
 than the code expects, allowing services to be operated safely during
 upgrades. It enables DB independent schema by providing an abstraction layer,
 which allows one to support SQL and NoSQL Databases. oslo.versionedobjects is
 also used in RPC APIs, to ensure upgrades happen without spreading version
 dependent code across different services and projects.
 .
 This package contains the Python 2.x module.

Package: python-oslo.versionedobjects-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: deals with DB schema versions and code expectations - doc
 oslo.versionedobjects library deals with DB schema being at different versions
 than the code expects, allowing services to be operated safely during
 upgrades. It enables DB independent schema by providing an abstraction layer,
 which allows one to support SQL and NoSQL Databases. oslo.versionedobjects is
 also used in RPC APIs, to ensure upgrades happen without spreading version
 dependent code across different services and projects.
 .
 This package contains the documentation.

Package: python3-oslo.versionedobjects
Architecture: all
Depends:
 python3-fixtures,
 python3-iso8601,
 python3-oslo.concurrency (>= 3.20.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.context (>= 2.19.2),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.30.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-six (>= 1.10.0),
 python3-webob (>= 1.7.1),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.versionedobjects-doc,
Description: deals with DB schema versions and code expectations - Python 3.x
 oslo.versionedobjects library deals with DB schema being at different versions
 than the code expects, allowing services to be operated safely during
 upgrades. It enables DB independent schema by providing an abstraction layer,
 which allows one to support SQL and NoSQL Databases. oslo.versionedobjects is
 also used in RPC APIs, to ensure upgrades happen without spreading version
 dependent code across different services and projects.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT := https://github.com/openstack/oslo.versionedobjects.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-oslo.versionedobjects; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-oslo.versionedobjects; \
	done
	rm -rf $(CURDIR)/debian/python*-oslo.versionedobjects/usr/lib/python*/dist-packages/*.pth


# oslo_versionedobjects.tests.test_objects.TestObject.test_load_in_base
# oslo_versionedobjects.tests.test_objects.TestRemoteObject.test_load_in_base

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit '^(?!('"oslo_versionedobjects.tests.test_objects.TestObject.test_load_in_base.*|oslo_versionedobjects.tests.test_objects.TestRemoteObject.test_load_in_base.*"'))' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-oslo.versionedobjects-doc/usr/share/doc/python-oslo.versionedobjects-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils


override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-oslo.versionedobjects 1.33.3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
six>=1.10.0 # MIT
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
iso8601>=0.1.11 # MIT
oslo.log>=3.36.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
WebOb>=1.7.1 # MIT
netaddr>=0.7.18 # BSD

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# These are needed for docs generation
openstackdocstheme>=1.18.1 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
reno>=2.5.0 # Apache-2.0

mock>=2.0.0 # BSD
fixtures>=3.0.0 # Apache-2.0/BSD

=== debian/changelog ===
python-oslo.versionedobjects (1.33.3-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Sep 2018 23:21:35 +0200

python-oslo.versionedobjects (1.33.3-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Aug 2018 13:34:17 +0200

python-oslo.versionedobjects (1.31.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:29:19 +0000

python-oslo.versionedobjects (1.31.2-1) experimental; urgency=medium

  * Set VCS URLs to point to salsa.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Feb 2018 13:19:13 +0000

python-oslo.versionedobjects (1.26.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Standards-Version is now 4.1.1.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 22:08:45 +0000

python-oslo.versionedobjects (1.26.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed now useless transition packages.
  * Using pkgos-dh_auto_install.

  [ Daniel Baumann ]
  * Updating standards version to 4.1.0.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Aug 2017 00:04:54 +0000

=== debian/control ===
Source: python-oslo.versionedobjects
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr,
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python-coverage,
 python-fixtures,
 python-hacking,
 python-iso8601,
 python-jsonschema (>= 2.6.0),
 python-mock,
 python-netaddr,
 python-openstackdocstheme (>= 1.17.0),
 python-oslo.concurrency (>= 3.26.0),
 python-oslo.config (>= 1:5.2.0),
 python-oslo.context (>= 2.19.2),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-six (>= 1.9.0),
 python-testtools (>= 2.2.0),
 python-webob (>= 1.7.1),
 python3-fixtures,
 python3-iso8601,
 python3-jsonschema (>= 2.6.0),
 python3-mock,
 python3-netaddr,
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 2.19.2),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-six (>= 1.9.0),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1.7.1),
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.versionedobjects.git
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.versionedobjects.git
Homepage: https://github.com/openstack/oslo.versionedobjects

Package: python-oslo.versionedobjects
Architecture: all
Depends:
 python-fixtures,
 python-iso8601,
 python-netaddr,
 python-oslo.concurrency (>= 3.26.0),
 python-oslo.config (>= 1:5.2.0),
 python-oslo.context (>= 2.19.2),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-six (>= 1.9.0),
 python-webob (>= 1.7.1),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-oslo.versionedobjects-doc,
Description: deals with DB schema versions and code expectations - Python 2.x
 oslo.versionedobjects library deals with DB schema being at different versions
 than the code expects, allowing services to be operated safely during
 upgrades. It enables DB independent schema by providing an abstraction layer,
 which allows one to support SQL and NoSQL Databases. oslo.versionedobjects is
 also used in RPC APIs, to ensure upgrades happen without spreading version
 dependent code across different services and projects.
 .
 This package contains the Python 2.x module.

Package: python-oslo.versionedobjects-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: deals with DB schema versions and code expectations - doc
 oslo.versionedobjects library deals with DB schema being at different versions
 than the code expects, allowing services to be operated safely during
 upgrades. It enables DB independent schema by providing an abstraction layer,
 which allows one to support SQL and NoSQL Databases. oslo.versionedobjects is
 also used in RPC APIs, to ensure upgrades happen without spreading version
 dependent code across different services and projects.
 .
 This package contains the documentation.

Package: python3-oslo.versionedobjects
Architecture: all
Depends:
 python3-fixtures,
 python3-iso8601,
 python3-netaddr,
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 2.19.2),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-six (>= 1.9.0),
 python3-webob (>= 1.7.1),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.versionedobjects-doc,
Description: deals with DB schema versions and code expectations - Python 3.x
 oslo.versionedobjects library deals with DB schema being at different versions
 than the code expects, allowing services to be operated safely during
 upgrades. It enables DB independent schema by providing an abstraction layer,
 which allows one to support SQL and NoSQL Databases. oslo.versionedobjects is
 also used in RPC APIs, to ensure upgrades happen without spreading version
 dependent code across different services and projects.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -1,27 +1,13 @@
 #!/usr/bin/make -f
-
-PYTHONS:=$(shell pyversions -vr)
-PYTHON3S:=$(shell py3versions -vr)
 
 UPSTREAM_GIT := https://github.com/openstack/oslo.versionedobjects.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
-export OSLO_PACKAGE_VERSION=$(VERSION)
-
 %:
 	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
 
-override_dh_install:
-	set -e ; for pyvers in $(PYTHONS); do \
-		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python-oslo.versionedobjects; \
-	done
-	set -e ; for pyvers in $(PYTHON3S); do \
-		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python3-oslo.versionedobjects; \
-	done
-	rm -rf $(CURDIR)/debian/python*-oslo.versionedobjects/usr/lib/python*/dist-packages/*.pth
-
+override_dh_auto_install:
+	pkgos-dh_auto_install
 
 # oslo_versionedobjects.tests.test_objects.TestObject.test_load_in_base
 # oslo_versionedobjects.tests.test_objects.TestRemoteObject.test_load_in_base

## python-oslo.versionedobjects 1.35.1

=== debian/changelog ===
python-oslo.versionedobjects (1.35.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 00:55:25 +0200

python-oslo.versionedobjects (1.35.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Fri, 22 Mar 2019 09:17:11 +0100

=== debian/control ===
Source: python-oslo.versionedobjects
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr,
 python-setuptools,
 python3-sphinx,
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python3-coverage,
 python3-hacking,
 python3-openstackdocstheme (>= 1.17.0),
 python3-fixtures,
 python3-iso8601,
 python3-jsonschema (>= 2.6.0),
 python3-mock,
 python3-netaddr,
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 2.19.2),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-six (>= 1.9.0),
 python3-stestr,
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1.7.1),
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.versionedobjects.git
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.versionedobjects.git
Homepage: https://github.com/openstack/oslo.versionedobjects

Package: python-oslo.versionedobjects-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: deals with DB schema versions and code expectations - doc
 oslo.versionedobjects library deals with DB schema being at different versions
 than the code expects, allowing services to be operated safely during
 upgrades. It enables DB independent schema by providing an abstraction layer,
 which allows one to support SQL and NoSQL Databases. oslo.versionedobjects is
 also used in RPC APIs, to ensure upgrades happen without spreading version
 dependent code across different services and projects.
 .
 This package contains the documentation.

Package: python3-oslo.versionedobjects
Architecture: all
Depends:
 python3-fixtures,
 python3-iso8601,
 python3-netaddr,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-six,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.versionedobjects-doc,
Description: deals with DB schema versions and code expectations - Python 3.x
 oslo.versionedobjects library deals with DB schema being at different versions
 than the code expects, allowing services to be operated safely during
 upgrades. It enables DB independent schema by providing an abstraction layer,
 which allows one to support SQL and NoSQL Databases. oslo.versionedobjects is
 also used in RPC APIs, to ensure upgrades happen without spreading version
 dependent code across different services and projects.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.versionedobjects.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 '^(?!('"oslo_versionedobjects.tests.test_objects.TestObject.test_load_in_base.*|oslo_versionedobjects.tests.test_objects.TestRemoteObject.test_load_in_base.*"'))'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html doc/source debian/python-oslo.versionedobjects-doc/usr/share/doc/python-oslo.versionedobjects-doc/html
	dh_sphinxdoc
endif

## python-oslo.versionedobjects 1.36.1

=== doc/requirements.txt ===
--- 
+++ 
@@ -3,7 +3,8 @@
 # process, which may cause wedges in the gate later.
 # These are needed for docs generation
 openstackdocstheme>=1.18.1 # Apache-2.0
-sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
+sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7' # BSD
+sphinx!=1.6.6,!=1.6.7,>=1.6.2;python_version>='3.4' # BSD
 reno>=2.5.0 # Apache-2.0
 
 mock>=2.0.0 # BSD

=== debian/changelog ===
python-oslo.versionedobjects (1.36.1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Fix wrong Vcs-*.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 00:58:19 +0200

python-oslo.versionedobjects (1.36.1-2) experimental; urgency=medium

  * Run all tests.
  * Add autopkgtest-pkg-python. (Closes: #930161)

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Oct 2019 17:34:35 +0200

python-oslo.versionedobjects (1.36.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 12 Sep 2019 09:45:24 +0200

python-oslo.versionedobjects (1.36.0-2) experimental; urgency=medium

  * Removed Python 2 from build-depends (Closes: #937987).

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Sep 2019 22:10:34 +0200

python-oslo.versionedobjects (1.36.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Sep 2019 14:39:38 +0200

=== debian/control ===
--- 
+++ 
@@ -5,25 +5,22 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
- python-all,
- python-pbr,
- python-setuptools,
- python3-sphinx,
  python3-all,
  python3-pbr,
  python3-setuptools,
+ python3-sphinx,
 Build-Depends-Indep:
  python3-coverage,
+ python3-fixtures,
  python3-hacking,
- python3-openstackdocstheme (>= 1.17.0),
- python3-fixtures,
  python3-iso8601,
  python3-jsonschema (>= 2.6.0),
  python3-mock,
  python3-netaddr,
+ python3-openstackdocstheme (>= 1.17.0),
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.context (>= 2.19.2),
@@ -39,9 +36,10 @@
  python3-webob (>= 1.7.1),
  subunit,
 Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.versionedobjects.git
+Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.versionedobjects
 Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.versionedobjects.git
 Homepage: https://github.com/openstack/oslo.versionedobjects
+Testsuite: autopkgtest-pkg-python
 
 Package: python-oslo.versionedobjects-doc
 Section: doc

## python-oslo.versionedobjects 2.0.0

=== debian/changelog ===
python-oslo.versionedobjects (2.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 Mar 2020 16:03:19 -0400

python-oslo.versionedobjects (1.37.0-0ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/t/python-ostestr: Run unit tests for dep8.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/watch: Use upstream release tarballs.
    - d/t/python-import: Ensure this test is py3-only.
  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 27 Jan 2020 12:27:50 +0100

python-oslo.versionedobjects (1.36.1-0ubuntu2) focal; urgency=medium

  * d/t/python-import: Ensure this test is py3-only.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Dec 2019 13:25:04 -0500

python-oslo.versionedobjects (1.36.1-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- James Page <james.page@ubuntu.com>  Wed, 09 Oct 2019 10:08:55 +0100

python-oslo.versionedobjects (1.36.0-0ubuntu3) eoan; urgency=medium

  * d/tests/*: Drop Python 2.7 tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 26 Jun 2019 14:25:48 -0400

python-oslo.versionedobjects (1.36.0-0ubuntu2) eoan; urgency=medium

  * d/control, d/tests/*: Restore python-import test and drop
    autopkgtest-pkg-python as it does not work with oslo packages.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 21 Jun 2019 10:27:06 -0400

python-oslo.versionedobjects (1.36.0-0ubuntu1) eoan; urgency=medium

  * Merge from Debian experimental.  Remaining changes:
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/rules: Run all unit tests.
    - d/t/python-ostestr: Run unit tests for dep8.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/watch: Use upstream release tarballs.
  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 07 Jun 2019 14:20:27 -0400

python-oslo.versionedobjects (1.35.1-0ubuntu1) disco; urgency=medium

  * New upstream relesae for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2019 16:05:24 +0000

python-oslo.versionedobjects (1.34.1-0ubuntu1) disco; urgency=medium

  * New upstream relesae for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Nov 2018 15:29:27 +0000

python-oslo.versionedobjects (1.33.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Jul 2018 16:26:04 -0400

python-oslo.versionedobjects (1.33.1-0ubuntu2) cosmic; urgency=medium

  * d/tests/*,d/control: Add autopkgtests to exercise import and unit
    tests as part of Ubuntu CI, resolving current failures.

 -- James Page <james.page@ubuntu.com>  Mon, 18 Jun 2018 21:25:08 +0100

python-oslo.versionedobjects (1.33.1-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/watch: Use upstream release tarballs.
    - d/control: Update Vcs-* fields.
    - d/control: Enable autopkgtest-pkg-python.
    - d/p/*: Retain Ubuntu patches for unicode string handling.
  * New upstream release for OpenStack Rocky.
  * Align (Build-)Depends with upstream.
  * d/p/*: Drop, included in upstream release.

 -- James Page <james.page@ubuntu.com>  Wed, 13 Jun 2018 11:52:39 +0100

## python-oslo.versionedobjects 2.0.1

=== requirements.txt ===
--- 
+++ 
@@ -1,7 +1,6 @@
 # The order of packages is significant, because pip processes them in the order
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
-six>=1.10.0 # MIT
 oslo.concurrency>=3.26.0 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
 oslo.context>=2.19.2 # Apache-2.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -3,8 +3,7 @@
 # process, which may cause wedges in the gate later.
 # These are needed for docs generation
 openstackdocstheme>=1.18.1 # Apache-2.0
-sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7' # BSD
-sphinx!=1.6.6,!=1.6.7,>=1.6.2;python_version>='3.4' # BSD
+sphinx>=1.8.0,!=2.1.0 # BSD
 reno>=2.5.0 # Apache-2.0
 
 mock>=2.0.0 # BSD

=== debian/changelog ===
python-oslo.versionedobjects (2.0.1-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 15:31:07 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-oslo.versionedobjects
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -11,35 +12,35 @@
  python3-all,
  python3-pbr,
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 1.8.0),
 Build-Depends-Indep:
- python3-coverage,
- python3-fixtures,
- python3-hacking,
- python3-iso8601,
+ python3-bandit (>= 1.1.0),
+ python3-coverage (>= 4.0),
+ python3-hacking (>= 1.1.0),
+ python3-openstackdocstheme (>= 1.18.1),
+ python3-fixtures (>= 3.0.0),
+ python3-iso8601 (>= 0.1.11),
  python3-jsonschema (>= 2.6.0),
- python3-mock,
- python3-netaddr,
- python3-openstackdocstheme (>= 1.17.0),
+ python3-mock (>= 2.0.0),
+ python3-netaddr (>= 0.7.18),
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:5.2.0),
- python3-oslo.context (>= 2.19.2),
+ python3-oslo.context (>= 1:2.19.2),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.messaging (>= 5.29.0),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.utils (>= 3.33.0),
  python3-oslotest (>= 1:3.2.0),
- python3-six (>= 1.9.0),
- python3-stestr,
+ python3-reno (>= 2.5.0),
+ python3-stestr (>= 2.0.0),
  python3-testtools (>= 2.2.0),
- python3-webob (>= 1.7.1),
+ python3-webob (>= 1:1.7.1),
  subunit,
 Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.versionedobjects
-Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.versionedobjects.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.versionedobjects
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.versionedobjects
 Homepage: https://github.com/openstack/oslo.versionedobjects
-Testsuite: autopkgtest-pkg-python
 
 Package: python-oslo.versionedobjects-doc
 Section: doc
@@ -61,18 +62,17 @@
 Architecture: all
 Depends:
  python3-fixtures,
- python3-iso8601,
- python3-netaddr,
- python3-oslo.concurrency,
- python3-oslo.config,
- python3-oslo.context,
- python3-oslo.i18n,
- python3-oslo.log,
- python3-oslo.messaging,
- python3-oslo.serialization,
- python3-oslo.utils,
- python3-six,
- python3-webob,
+ python3-iso8601 (>= 0.1.11),
+ python3-netaddr (>= 0.7.18),
+ python3-oslo.concurrency (>= 3.26.0),
+ python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.context (>= 1:2.19.2),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.log (>= 3.36.0),
+ python3-oslo.messaging (>= 5.29.0),
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.utils (>= 3.33.0),
+ python3-webob (>= 1:1.7.1),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

## python-oslo.versionedobjects 2.3.0

=== debian/changelog ===
python-oslo.versionedobjects (2.3.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed d/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 10:25:54 +0200

python-oslo.versionedobjects (2.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 10:53:39 +0200

python-oslo.versionedobjects (2.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed python3-jsonschema build-depends to >= 3.2.0.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2020 21:49:04 +0200

python-oslo.versionedobjects (2.0.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 22:27:55 +0200

python-oslo.versionedobjects (2.0.2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Apr 2020 16:03:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-oslo.versionedobjects
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -12,35 +11,33 @@
  python3-all,
  python3-pbr,
  python3-setuptools,
- python3-sphinx (>= 1.8.0),
+ python3-sphinx,
 Build-Depends-Indep:
- python3-bandit (>= 1.1.0),
- python3-coverage (>= 4.0),
- python3-hacking (>= 1.1.0),
- python3-openstackdocstheme (>= 1.18.1),
- python3-fixtures (>= 3.0.0),
- python3-iso8601 (>= 0.1.11),
- python3-jsonschema (>= 2.6.0),
- python3-mock (>= 2.0.0),
- python3-netaddr (>= 0.7.18),
+ python3-coverage,
+ python3-fixtures,
+ python3-hacking,
+ python3-iso8601,
+ python3-jsonschema (>= 3.2.0),
+ python3-netaddr,
+ python3-openstackdocstheme (>= 1.17.0),
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:5.2.0),
- python3-oslo.context (>= 1:2.19.2),
+ python3-oslo.context (>= 2.19.2),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.messaging (>= 5.29.0),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.utils (>= 3.33.0),
  python3-oslotest (>= 1:3.2.0),
- python3-reno (>= 2.5.0),
- python3-stestr (>= 2.0.0),
+ python3-stestr,
  python3-testtools (>= 2.2.0),
- python3-webob (>= 1:1.7.1),
+ python3-webob (>= 1.7.1),
  subunit,
 Standards-Version: 4.1.3
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.versionedobjects
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.versionedobjects
+Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.versionedobjects
+Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.versionedobjects.git
 Homepage: https://github.com/openstack/oslo.versionedobjects
+Testsuite: autopkgtest-pkg-python
 
 Package: python-oslo.versionedobjects-doc
 Section: doc
@@ -62,17 +59,17 @@
 Architecture: all
 Depends:
  python3-fixtures,
- python3-iso8601 (>= 0.1.11),
- python3-netaddr (>= 0.7.18),
- python3-oslo.concurrency (>= 3.26.0),
- python3-oslo.config (>= 1:5.2.0),
- python3-oslo.context (>= 1:2.19.2),
- python3-oslo.i18n (>= 3.15.3),
- python3-oslo.log (>= 3.36.0),
- python3-oslo.messaging (>= 5.29.0),
- python3-oslo.serialization (>= 2.18.0),
- python3-oslo.utils (>= 3.33.0),
- python3-webob (>= 1:1.7.1),
+ python3-iso8601,
+ python3-netaddr,
+ python3-oslo.concurrency,
+ python3-oslo.config,
+ python3-oslo.context,
+ python3-oslo.i18n,
+ python3-oslo.log,
+ python3-oslo.messaging,
+ python3-oslo.serialization,
+ python3-oslo.utils,
+ python3-webob,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 '^(?!('"oslo_versionedobjects.tests.test_objects.TestObject.test_load_in_base.*|oslo_versionedobjects.tests.test_objects.TestRemoteObject.test_load_in_base.*"'))'
+	pkgos-dh_auto_test --no-py2
 endif
 
 override_dh_sphinxdoc:

## python-oslo.versionedobjects 2.4.0

=== debian/changelog ===
python-oslo.versionedobjects (2.4.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 07 Dec 2020 12:18:03 +0000

python-oslo.versionedobjects (2.4.0-0ubuntu1) hirsute; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 07 Dec 2020 11:19:25 +0000

python-oslo.versionedobjects (2.3.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Sep 2020 12:36:51 -0400

python-oslo.versionedobjects (2.2.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/copyright, d/rules: Update upstream git URL.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 29 Jul 2020 14:58:02 -0400

python-oslo.versionedobjects (2.1.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules: Switch to debhelper compat 12 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 11 Jun 2020 09:41:46 -0400

## python-oslo.versionedobjects 2.5.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# These are needed for docs generation
openstackdocstheme>=2.2.1 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
reno>=3.1.0 # Apache-2.0

mock>=2.0.0 # BSD
fixtures>=3.0.0 # Apache-2.0/BSD

=== debian/changelog ===
python-oslo.versionedobjects (2.5.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Sep 2021 09:16:39 -0400

=== debian/control ===
--- 
+++ 
@@ -1,43 +1,45 @@
 Source: python-oslo.versionedobjects
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 12),
  dh-python,
  openstack-pkg-tools,
  python3-all,
  python3-pbr,
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
- python3-coverage,
- python3-fixtures,
- python3-hacking,
- python3-iso8601,
+ python3-bandit (>= 1.1.0),
+ python3-coverage (>= 4.0),
+ python3-hacking (>= 1.1.0),
+ python3-openstackdocstheme (>= 2.2.1),
+ python3-fixtures (>= 3.0.0),
+ python3-iso8601 (>= 0.1.11),
  python3-jsonschema (>= 3.2.0),
- python3-netaddr,
- python3-openstackdocstheme (>= 1.17.0),
+ python3-mock (>= 2.0.0),
+ python3-netaddr (>= 0.7.18),
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:5.2.0),
- python3-oslo.context (>= 2.19.2),
+ python3-oslo.context (>= 1:2.19.2),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.messaging (>= 5.29.0),
  python3-oslo.serialization (>= 2.18.0),
- python3-oslo.utils (>= 3.33.0),
+ python3-oslo.utils (>= 4.7.0),
  python3-oslotest (>= 1:3.2.0),
- python3-stestr,
+ python3-stestr (>= 2.0.0),
  python3-testtools (>= 2.2.0),
- python3-webob (>= 1.7.1),
+ python3-webob (>= 1:1.7.1),
  subunit,
-Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.versionedobjects
-Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.versionedobjects.git
-Homepage: https://github.com/openstack/oslo.versionedobjects
-Testsuite: autopkgtest-pkg-python
+Standards-Version: 4.5.0
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.versionedobjects
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.versionedobjects
+Homepage: https://opendev.org/openstack/oslo.versionedobjects
 
 Package: python-oslo.versionedobjects-doc
 Section: doc
@@ -59,17 +61,17 @@
 Architecture: all
 Depends:
  python3-fixtures,
- python3-iso8601,
- python3-netaddr,
- python3-oslo.concurrency,
- python3-oslo.config,
- python3-oslo.context,
- python3-oslo.i18n,
- python3-oslo.log,
- python3-oslo.messaging,
- python3-oslo.serialization,
- python3-oslo.utils,
- python3-webob,
+ python3-iso8601 (>= 0.1.11),
+ python3-netaddr (>= 0.7.18),
+ python3-oslo.concurrency (>= 3.26.0),
+ python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.context (>= 1:2.19.2),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.log (>= 3.36.0),
+ python3-oslo.messaging (>= 5.29.0),
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.utils (>= 4.7.0),
+ python3-webob (>= 1:1.7.1),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
    http://tarballs.openstack.org/oslo.versionedobjects/ oslo.versionedobjects-(\d.*)\.tar\.gz

## python-oslo.versionedobjects 2.6.0

=== debian/changelog ===
python-oslo.versionedobjects (2.6.0-2~bpo11+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Fri, 25 Mar 2022 08:39:39 +0000

python-oslo.versionedobjects (2.6.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 09:34:53 +0100

python-oslo.versionedobjects (2.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Feb 2022 12:33:26 +0100

python-oslo.versionedobjects (2.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 17:05:40 +0200

python-oslo.versionedobjects (2.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Aug 2021 15:42:48 +0200

python-oslo.versionedobjects (2.4.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 09:25:24 +0200

python-oslo.versionedobjects (2.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release, and removed versions when satisfied
    in Bullseye.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Mar 2021 09:37:56 +0100
